#include "gmyth_transcode.h"
#include "gmyth_uri.h"
#include "gmyth_backendinfo.h"
#include "gmyth_socket.h"
#include "gmyth_query.h"

int
main (int args, const char **argv)
{
    GMythBackendInfo *backend_info;
    GMythTranscode *transcode;
    g_type_init ();
    g_thread_init (NULL);

    backend_info = gmyth_backend_info_new ();
    gmyth_backend_info_set_hostname (backend_info, "192.168.3.165");
    gmyth_backend_info_set_port (backend_info, 6543);
    gmyth_backend_info_set_status_port (backend_info, 6544);

    transcode = gmyth_transcode_new();

    transcode->backend_info = backend_info;
    transcode->cutlist = TRUE;

    gmyth_transcode_set_output (transcode, TRUE, "/tmp/teste.mp4");
    gmyth_transcode_set_filename (transcode, "1000_20061207123000.nuv");

    int teste = gmyth_jobqueue_add_job(transcode, "JOB_TRANSCODE");

    teste = gmyth_jobqueue_change_cmd(transcode, "STOP", "JOB_TRANSCODE");


}




